DOT Reward Rates
{ "apiDescription": "This API returns a time series of daily network-wide annualized staking reward rates, in %. Historical depth: January 1, 2021. Query params are case-sensitive.", "params": { "figment": { "type": "boolean", "default": "false", "description": "If true is passed, we will return the reward rate for Figment validators only. If omitted or any other value is passed, we will return the reward rate of the network as a whole." }, "avg": { "type": "string", "enum": ["7d"], "default": "7d", "description": "Returns the 7 day moving average. The only value accepted is 7d, if no value is passed, the original behavior of returning a single day average ARR is used." }, "decimal": { "type": "integer", "default": 2, "description": "Adds decimal places to the returned values. Accepts values 2, 3, 4, 5. If nothing is passed, it will default to 2." } }, "successResponse": { "statusCode": "200", "description": "Rewards rates", "data": [ { "date": "2023-08-29", "value": "10.26" }, { "date": "2023-08-28", "value": "10.37" }, { "date": "2023-08-27", "value": "10.37" }, { "date": "2023-08-26", "value": "10.37" }, { "date": "2023-08-25", "value": "10.26" }, { "date": "2023-08-24", "value": "10.26" } ] }, "errorResponses": [ {"statusCode": "400", "description": "Parameter error"}, {"statusCode": "401", "description": "Unauthorized"}, {"statusCode": "500", "description": "System error"} ], "curlExample": "curl --request GET \ --url 'https://api.figment.io/polkadot/rewards_rates?figment=false&avg=7d&decimal=2' \ --header 'accept: application/json' \ --header 'x-api-key: your-api-key-here'" }